Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drupal.project.async_command
Class PyAsyncCommand

    java.lang.Object
      org.drupal.project.async_command.AsyncCommand
          org.drupal.project.async_command.PyAsyncCommand

All Implemented Interfaces:
  java.lang.Runnable

    public abstract class PyAsyncCommand

extends AsyncCommand

Stub class for commands written in Jython.

Nested Class Summary

Nested classes/interfaces inherited from class org.drupal.project.async_command.AsyncCommand
`AsyncCommand.Status`

Field Summary

Fields inherited from class org.drupal.project.async_command.AsyncCommand
`drupalApp, logger, record`

Constructor Summary
`protected` | `PyAsyncCommand()`
`` | `PyAsyncCommand(CommandRecord record, GenericDrupalApp drupalApp)` Call to a function to initialize in Jython, because Jython doesn't support function overloading.

Method Summary
`java.lang.String` | `getIdentifier()` Derived function has to override it.
`protected void` | `initialize()`

Methods inherited from class org.drupal.project.async_command.AsyncCommand
`evaluate, getDrupalConnection, run, setDrupalApp, setRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PyAsyncCommand

    public PyAsyncCommand(CommandRecord record,
                          GenericDrupalApp drupalApp)

  Call to a function to initialize in Jython, because Jython doesn't support function overloading.

  Parameters:
    `record` -
    `drupalApp` -

### PyAsyncCommand

    protected PyAsyncCommand()

Method Detail

### initialize

    protected void initialize()

### getIdentifier

    public java.lang.String getIdentifier()

  Derived function has to override it.

  Overrides:
    `getIdentifier` in class `AsyncCommand`
  Returns:
    The identifier of the command.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD